Name:           xapps
Version:        1.0.3
Release:        1%{?dist}
Summary:        Common files for XApp desktop apps

License:        LGPLv2+
URL:            https://github.com/linuxmint
Source0:        %url/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Source1:        %url/flags/archive/1.0.1.tar.gz#/flags-1.0.1.tar.gz

BuildRequires:  gnome-common
BuildRequires:  gtk-doc
BuildRequires:  glib2-devel
BuildRequires:  intltool
BuildRequires:  gobject-introspection-devel
BuildRequires:  libX11-devel
BuildRequires:  gtk3-devel
BuildRequires:  libgnomekbd-devel
Requires:       python3-gobject-base
Requires:       inxi
Requires:       xdg-utils
Requires:       fpaste

%description
This package includes files that are shared between several XApp
apps (i18n files and configuration schemas).

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development libraries and header files for
developing XApp apps.

%prep
%autosetup -p1
tar -xf %{SOURCE1} -C files/usr/share --strip 3
rm files/usr/share/format
NOCONFIGURE=1 ./autogen.sh

%build
%configure
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build V=1


%install
rm -rf $RPM_BUILD_ROOT
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post
/sbin/ldconfig
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%files
%license COPYING
%doc README.md
%{_bindir}/pastebin
%{_bindir}/upload-system-info
%{_bindir}/xfce4-set-wallpaper
%{_libdir}/libxapp.so.*
%{_libdir}/girepository-1.0/XApp-1.0.typelib
%{_datadir}/iso-flag-png/
%{_datadir}/glib-2.0/schemas/org.x.apps.*.xml
%{_datadir}/icons/hicolor/scalable/actions/*.svg

%files devel
%{_includedir}/*
%{_libdir}/libxapp.so
%{_libdir}/pkgconfig/xapp.pc
%{_datadir}/gir-1.0/XApp-1.0.gir


%changelog
* Wed May 03 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.3-1
- update to 1.0.3 release
- add build requires gtk-doc

* Thu Feb 23 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.2-5
- Add python3-gobject-base instead of python-gobject-base

* Thu Feb 23 2017 Leigh Scott <leigh123linux@googlemail.com> - 1.0.2-4
- Add some upstream fixes

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.0.2-2
- Rebuild for Python 3.6

* Mon Nov 07 2016 Leigh Scott <leigh123linux@googlemail.com> - 1.0.2-1
- update to 1.0.2 release

* Sat Nov 05 2016 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.3.gita8d5277
- update to latest git

* Tue Oct 11 2016 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.2.git0f28d18
- fix review issues

* Sat Oct 08 2016 Leigh Scott <leigh123linux@googlemail.com> - 1.0.0-0.1.git7e7567a
- first build
